Bug 1526156 - Can't configure Red Hat Dropbox for logs in a global region when a sub-region has one already configured
Summary: Can't configure Red Hat Dropbox for logs in a global region when a sub-region...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.4
Assignee: Brandon Dunne
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: 1551709
TreeView+ depends on / blocked
 
Reported: 2017-12-14 20:55 UTC by Lynn Dixon
Modified: 2018-06-25 14:17 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-06-25 14:17:08 UTC


Attachments (Terms of Use)
Screenshot of error message (83.21 KB, image/png)
2017-12-14 20:55 UTC, Lynn Dixon
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:17 UTC

Description Lynn Dixon 2017-12-14 20:55:41 UTC
Created attachment 1368142 [details]
Screenshot of error message

Description of problem:
When trying to configure the Red Hat Dropdbox for logs to be shipped to a support case, from any zone in a global region, we are getting an error stating "Error during 'Save': Validation failed: Name has already been taken".

A sub-region had in the past already been configured to use the Red Hat Dropbox for logs succesfully, and it appears there is a name collision between this existing "Red Hat Dropbox" name in the sub-region, and the attempted configuration in the Global region.


Version-Release number of selected component (if applicable):
5.8.2.3.20171016155816_aaec796

How reproducible:
Follow steps below


Steps to Reproduce:
1. Configure Global region with a sub-region

2. First configure the sub-region to have log collection done to a "Red Hat Dropbox" and save

3. Go to the Global region and attempt to also set it up to send its logs to a "Red Hat Dropbox" and attempt to save.  

4. Notice the error as mentioned above

Actual results:
Can't configure the global region to ship logs to a Red Hat Depot in order to attach to a support case.

Expected results:
Have the ability to ship logs to red hat depot from a Global Region as well as any Sub-regions.


Additional info:
See attached screenshot for the error.  Customer is also going to open a support case for this, and link this BZ to the case.

Comment 5 Brandon Dunne 2018-04-02 18:50:14 UTC
Fixed by https://github.com/ManageIQ/manageiq/pull/16731

Comment 7 CFME Bot 2018-04-09 18:36:03 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/759dda563fa3ba95bb8eab2e460064053d18de96
commit 759dda563fa3ba95bb8eab2e460064053d18de96
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Wed Jan  3 14:27:38 2018 -0500
Commit:     Jason Frey <fryguy9@gmail.com>
CommitDate: Wed Jan  3 14:27:38 2018 -0500

    Merge pull request #16731 from carbonin/validate_zone_name_within_region

    Ensure that the zone name is unique only within the current region
    (cherry picked from commit 1bf5290e0bdae708be0f2e8c8122b5768af449c2)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1526156

 app/models/zone.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 8 Tasos Papaioannou 2018-05-09 20:07:30 UTC
Verified on 5.8.4.2.

Comment 10 errata-xmlrpc 2018-06-25 14:17:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.